(***********************************************************************)
(*                                                                     *)
(*                       Ambients in JoCaml                            *)
(*                                                                     *)
(*               Alan Schmitt, projet Para, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1999 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

type t = { 
    base  : int;
    local : string;
    moves : int; }
 	
let last = ref 0

let make n =
  incr last;{ base= n; local= string_of_int !last; moves= 0 }

let next id = { base = id.base; local = id.local; moves = id.moves + 1 }

let to_string id = (
  string_of_int id.base^"-"^
  id.local^"-"^
  string_of_int id.moves )
      
let dummy = { base=0; local = ""; moves = 0 }


